Page MenuHomePhabricator

Create #wikimedia-releng-feed and move bots there
Closed, DeclinedPublic

Description

  • wikibugs
    • we should also clean up what is announced there a bit
  • shinken
  • wmf-insecte
    • we should also prefer moving them to the responsible team's channel. We aren't directly responsible for any failures of these tests.

Details

Related Gerrit Patches:
integration/config : masterJJB: Remove browsertests-irc

Event Timeline

greg created this task.Nov 28 2017, 11:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2017, 11:39 PM

Looking at the browser test situation, all of them (in jjb) use the template browsertests-irc, which has spamming #wikimedia-releng hardcoded. Thoughts @zeljkofilipin ?

@greg I ignore all bots in #wikimedia-releng. As far as I am concerned, we can remove IRC ping from Selenium jobs, or move them to another channel.

greg added a comment.Dec 5 2017, 8:20 PM

@greg I ignore all bots in #wikimedia-releng. As far as I am concerned, we can remove IRC ping from Selenium jobs, or move them to another channel.

The question was more: can we easily piecemeal them out to the responsible teams? I don't like the idea of by-default they go in our team channel when they're tests others wrote for software we didn't write :)

I think I now understand the question. 😁 TLDR: I should be possible to post to a team channel instead of our channel.

browsertests-irc publisher is used only in Ruby Selenium framework. Since the framework it is deprecated (T139740) I would hesitate to put more effort into it.

But, it should not be much work. We already know which team owns which repository. We would have to figure out which IRC channel each team uses.

Node Selenium framework does not post to IRC channel. If we wait until all teams move to Node, the problem will go away. 😎

greg added a comment.Dec 12 2017, 10:20 PM

If no one is actioning on them, then let's just disable them (not the jobs, but the spamming of our channel).

Change 397971 had a related patch set uploaded (by Greg Grossmeier; owner: Greg Grossmeier):
[integration/config@master] JJB: Remove browsertests-irc

https://gerrit.wikimedia.org/r/397971

zeljkofilipin triaged this task as Low priority.Dec 13 2017, 9:17 AM
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.

Change 397971 merged by jenkins-bot:
[integration/config@master] JJB: Remove browsertests-irc

https://gerrit.wikimedia.org/r/397971

Updated jobs:

language-screenshots-VisualEditor
selenium-CentralAuth
selenium-CentralNotice
selenium-CirrusSearch
selenium-Echo
selenium-GettingStarted
selenium-Math
selenium-MinervaNeue
selenium-MobileFrontend
selenium-MultimediaViewer
selenium-PageTriage
selenium-Popups-jessie
selenium-QuickSurveys
selenium-RelatedArticles-jessie
selenium-WikiLove
selenium-Wikibase

zeljkofilipin removed zeljkofilipin as the assignee of this task.Dec 13 2017, 10:00 AM
zeljkofilipin moved this task from In Progress 🔨 to Watching 👀 on the User-zeljkofilipin board.
greg added a comment.Jan 2 2018, 7:57 PM

The channel is looking a lot better lately, maybe it was mostly the browser tests?

greg moved this task from Backlog to Next on the User-greg board.Jan 2 2018, 7:58 PM
mmodell added a subscriber: mmodell.Jan 8 2018, 5:11 PM

I used to rely on wikibugs for @mention notifications but now that we have notification popups in phabricator I don't rely on that quite so much.

greg closed this task as Declined.Jan 8 2018, 6:24 PM

Verdict: After we cleared up the browser test spam (of tests we don't own nor respond to) we're a lot better and don't need yet another channel, closing!